@title Creating database - IBM WebServices Gateway

@rem calls CreateWSGWDB script

@rem parameters are 1=WebSphere AppServer install directory (e.g. C:\WebSphere\AppServer) 
@rem                2=<db2_userid>
@rem                3=<db2_password>

@if .%1==. goto invalidparams
@if .%2==. goto invalidparams
@if .%3==. goto invalidparams

@if EXIST %1 goto goodparams
@echo The directory %1 specified for WebSphere AppServer install directory does not exist.
@goto invalidparams
           
@rem Parameters are good.
:goodparams

@call %~dp0installDB.bat %2 %3 > %1\logs\WSGWinstallDB.log 2>&1
@if errorlevel 1 goto LoadFailed

@echo.
@echo The WebServices Gateway database creation procedure finished.
@echo Please check %1\logs\WSGWinstallDB.log to make sure the 
@echo procedure completed successfully
@goto :eof

:LoadFailed
@echo.
@echo Warning: The WebServices Gateway database has NOT been created.
@echo Try looking at the WSGWInstallDB.log file in the \logs subdirectory 
@echo of the WebSphere AppServer dir to diagnose the problem.
@echo.

:invalidparams

@echo Parameters are 1=WebSphere AppServer directory (e.g. C:\WebSphere\AppServer) 
@echo                2=DB2 userid
@echo                3=DB2 password
