@title Creating Datasource - IBM WebServices Gateway

@rem parameters are 1=Gateway install directory (typically C:\WebSphere\WSGW)
@rem                2=node name 
@rem                3=WebSphere AppServer directory (typically WebSphere\AppServer)
@rem                4=DB2 userid
@rem                5=DB2 password         

@if .%1==. goto invalidparams
@if .%2==. goto invalidparams
@if .%3==. goto invalidparams
@if .%4==. goto invalidparams
@if .%5==. goto invalidparams

@rem Check parameter 1 is a valid directory.
@if EXIST %1 goto goodparam1
@echo The directory %1 specified for Gateway install directory does not exist.
@goto invalidparams

@rem Check parameter 3 is a valid directory.
:goodparam1
@if EXIST %3 goto goodparams
@echo The directory %3 specified for WebSphere AppServer directory does not exist.
@goto invalidparams

@rem Parameters are good.
:goodparams
@echo The WebServices Gateway datasource will be installed
@echo The WebSphere Admin Server will then be recycled
@echo There may be a slight delay while the Admin Server restarts
         
@call %1\install\installDS.bat %1 %2 %3 %4 %5 > %3\logs\WSGWinstallDS.log 2>&1
@if errorlevel 0 goto InstallWorked

@echo.
@echo Warning: an error might have occurred during the installation of the WebServices Gateway.
@echo Please check the WSGWInstallDS.log file in the \logs subdirectory 
@echo of the WebServices Gateway install directory.
@echo.
@goto :eof

:InstallWorked
@echo The WebServices Gateway datasource has been installed
@goto :eof
         
:invalidparams
@echo This command file requires 5 parameters
@echo Parameters are 1=Gateway install directory (typically C:\WebSphere\WSGW)
@echo                2=node name 
@echo                3=WebSphere AppServer directory (typically WebSphere\AppServer)
@echo                4=DB2 userid
@echo                5=DB2 password         
