@title Creating JDBC Provider - IBM WebServices Gateway

@rem parameters are 1=WebServices Gateway install directory (typically C:\WebSphere\WSGW)
@rem                2=WebSphere node name
@rem                3=WebSphere AppServer directory (typically C:\WebSphere\AppServer)
@rem                4=DB2 install directory (e.g. C:\PROGRA~1\SQLLIB) 

@if .%1==. goto invalidparams
@if .%2==. goto invalidparams
@if .%3==. goto invalidparams
@if .%4==. goto invalidparams

@rem Check parameter 1 is a valid directory.
@if EXIST %1 goto goodparam1
@echo The directory %1 specified for Gateway install directory does not exist.
@goto invalidparams

@rem Check parameter 3 is a valid directory.
:goodparam1
@if EXIST %3 goto goodparam2
@echo The directory %3 specified for WebSphere AppServer directory does not exist.
@goto invalidparams

@rem Check parameter 4 is a valid directory.
:goodparam2
@if EXIST %4 goto goodparam3
@echo The directory %4 specified for DB2 install directory does not exist.
@goto invalidparams

@rem Check parameter 4 points to the right place.
:goodparam3
@if EXIST %4\java\db2java.zip goto goodparams
@echo The file %4\java\db2java.zip does not exist.
@goto invalidparams

@rem Parameters are good.
:goodparams
@echo The WebSphere Admin Server will be started (if it is not already running)
@echo Any existing WebServices Gateway application will be stopped and removed from WebSphere
@echo The WebServices Gateway JDBC driver will be installed
@echo.
@echo There may be a slight delay while the Admin Server is started
@call %1\install\installJDBC.bat %1 %2 %3 %4 > %3\logs\WSGWinstallJDBC.log 2>&1

@if errorlevel 0 goto InstallWorked
@if %errorlevel% leq 0 goto InstallWorked

@echo.
@echo Warning: an error might have occurred during the installation of the WebServices Gateway.
@echo Please check the WSGWinstallJDBC.log file in the \logs subdirectory 
@echo of the WebServices Gateway install directory.
@echo.
@goto :eof

:InstallWorked
@echo The WebServices Gateway JDBC driver has been installed

@goto :eof

:invalidparams
@echo This command file requires 4 parameters
@echo Parameters are 1=WebServices Gateway install directory (typically C:\WebSphere\WSGW)
@echo                2=WebSphere node name
@echo                3=WebSphere AppServer directory (typically C:\WebSphere\AppServer)
@echo                4=DB2 install directory (e.g. C:\PROGRA~1\SQLLIB) 

